; Moved from MordorInfantry.INI Aug 24 2005

;------------------------------------------------------------------------------
; aka Easterling, Soldier of Rhun, SoldierOfRhun, SoldiersOfRhun, Soldiers of Rhun
Object MordorEasterling
	; *** ART Parameters ***

	; This is required for garrisoned objects - please put in all objects.
	ButtonImage		= BMHaradrimPalace_SoldiersRhun
	SelectPortrait	= UPMordor_Eastering
  
	Draw = W3DHordeModelDraw ModuleTag_01

		OkToChangeModelColor = Yes
		  
		StaticModelLODMode = Yes
		; specify options for static LODs
		LodOptions	= LOW
			AllowMultipleModels		=	ALLOW_MULTIPLE_MODELS_LOW
			MaxRandomTextures		=	MAX_RANDOM_TEXTURES_LOW
			MaxRandomAnimations		=	MAX_RANDOM_ANIMATIONS_LOW
			MaxAnimFrameDelta		=	MAX_ANIM_FRAME_DELTA_LOW
		End
		
		LodOptions	= MEDIUM
			AllowMultipleModels		=	ALLOW_MULTIPLE_MODELS_MED
			MaxRandomTextures		=	MAX_RANDOM_TEXTURES_MED
			MaxRandomAnimations		=	MAX_RANDOM_ANIMATIONS_MED
			MaxAnimFrameDelta		=	MAX_ANIM_FRAME_DELTA_MED
		End
		
		LodOptions	= HIGH
			AllowMultipleModels		=	ALLOW_MULTIPLE_MODELS_HIGH
			MaxRandomTextures		=	MAX_RANDOM_TEXTURES_HIGH
			MaxRandomAnimations		=	MAX_RANDOM_ANIMATIONS_HIGH
			MaxAnimFrameDelta		=	MAX_ANIM_FRAME_DELTA_HIGH
		End
	
		  
		DefaultModelConditionState
			Model = MUEstrlg_SKN 
		End

#include "..\..\..\mithlondsentrymordoreasterlinganims.inc"

//		; ---------------------- IDLE ANIMATIONS ------------------------------
//		IdleAnimationState
//			Animation = IDLEA
//				AnimationName			=	MUEastern_SKL.MUEastern_IDLB
//				AnimationMode			=	LOOP
//				AnimationBlendTime		=	10
//				AnimationSpeedFactorRange	= 0.8 1.2
//			End
//			Flags							=	RANDOMSTART
//			StateName = Idle
//			BeginScript
//				Prev =	CurDrawablePrevAnimationState()
//				if Prev == "STATE_Planted"	then CurDrawableSetTransitionAnimState("Trans_Down_To_Up") return end
//				if Prev == "Selected" then CurDrawableSetTransitionAnimState("TransitionFromAttention") end
//			EndScript			
//		End
//	
//	
//		
//		
//;------special pikeman porcupine formation animations-----------------------------------	
//	
//	AnimationState = ALTERNATE_FORMATION FIRING_OR_PREATTACK_A
//	 	Animation = ATKC
//			AnimationName		= MUEastern_SKL.MUEastern_ATKA
//			AnimationMode		= LOOP
//			UseWeaponTiming		= Yes	
//		End
//	End
//	
//	AnimationState = ALTERNATE_FORMATION FIRING_OR_PREATTACK_A WEAPONSTATE_CLOSE_RANGE ;TEMP
//		Animation = ATKC
//			AnimationName		= MUEastern_SKL.MUEastern_ATKA
//			AnimationMode		= ONCE
//			UseWeaponTiming		= Yes
//		End
//		StateName = PikeUp
//	End
//	
//    AnimationState = ALTERNATE_FORMATION MOVING BACKING_UP
//		Animation = Moving_Back
//			AnimationName = MUEastern_SKL.MUEastern_BAKA
//		    AnimationMode = LOOP
//		End	
//    End
//	
//	AnimationState = ALTERNATE_FORMATION MOVING
//	 	Animation = ATKC
//			AnimationName		= MUEastern_SKL.MUEastern_RUNA
//			AnimationMode		= LOOP
//		End
//	End
//	
//	    AnimationState = ALTERNATE_FORMATION STUNNED_FLAILING
// 		Animation = Flying_1
//			AnimationName = MUEastern_SKL.MUEastern_FLYA
//			AnimationMode = LOOP
//		End
//		Flags							= MAINTAIN_FRAME_ACROSS_STATES2
//    End
//	
//	
//	AnimationState						= ALTERNATE_FORMATION DYING SPLATTED
// 		Animation						= Splat
//			AnimationName				= MUEastern_SKL.MUEastern_LNDA
//			AnimationMode				= ONCE
//		End
//    End
//
//     AnimationState = ALTERNATE_FORMATION DYING AFLAME
//		Animation = Flaming_Death
//			AnimationName = MUEastern_SKL.MUEastern_MFDA
//		    AnimationMode = ONCE
//		End
//    End
//
//    AnimationState =  ALTERNATE_FORMATION DYING 
//		Animation = Dying_1
//			AnimationName = MUEastern_SKL.MUEastern_DIEA
//			AnimationMode = ONCE
//		End
//    End
// 
//    ; --- stunned anims
//    AnimationState = ALTERNATE_FORMATION STUNNED_STANDING_UP
// 		Animation = Standing_Back_Up
//			AnimationName = MUEastern_SKL.MUEastern_GTPA
//			AnimationMode = ONCE
//			AnimationSpeedFactorRange = 1.5 1.5
//		End
//    End
//
//
//    AnimationState = ALTERNATE_FORMATION STUNNED
// 		Animation = Splattered_On_Ground
//			AnimationName = MUEastern_SKL.MUEastern_LNDA
//			AnimationMode = ONCE
//		End
//    End
//
//	 AnimationState = ALTERNATE_FORMATION PORCUPINE
//	 	Animation = ATKC
//			AnimationName		= MUEastern_SKL.MUEastern_IDLA
//			AnimationMode		= LOOP
//		End
//		StateName = STATE_Planted
//		BeginScript
//			Prev = CurDrawablePrevAnimationState()
//			if Prev ~= "STATE_Planted"	and Prev ~= "Trans_Up_To_Down" then CurDrawableSetTransitionAnimState("Trans_Up_To_Down") return end
//		EndScript
//	End
//    
//	
//	 AnimationState = ALTERNATE_FORMATION
//	 	Animation = ATKC
//			AnimationName		= MUEastern_SKL.MUEastern_IDLA
//			AnimationMode		= LOOP
//		End
//	End
//	
//
// ;--------------------normal animations---------------------------
//		
//		;---------------------- THROWN ANIMATION -------------------------------
//		
//		AnimationState					=	THROWN_PROJECTILE
//			Animation					=	THROWN
//				AnimationName			=	MUEastern_SKL.MUEastern_FLYA
//				AnimationMode			=	LOOP
//			End
//		End
//
//		;--------------------- Giant Bird Stuff ---------------------------------------		
//		AnimationState						=	PASSENGER FREEFALL
//			Animation						=	Grabbed
//				AnimationName				=	MUEastern_SKL.MUEastern_FLLA
//				AnimationMode				=	LOOP
//			End
//		End
//		
//		AnimationState						=	FREEFALL
//			Animation						=	Falling
//				AnimationName				=	MUEastern_SKL.MUEastern_FLYA
//				AnimationMode				=	LOOP
//				AnimationBlendTime			=	10
//				AnimationSpeedFactorRange	=	0.5	0.5
//			End
//		End
//		
//		;------------------------ STUNNED ANIMATIONS ---------------------------
//		AnimationState						=	STUNNED_FLAILING
//			Animation						=	StunnedFlailing
//				AnimationName				=	MUEastern_SKL.MUEastern_FLYA
//				AnimationMode				=	LOOP
//			End
//			Flags							=	RANDOMSTART
//		End
//		
//		;-------------------------- DYING ANIMS ---------------------------------
//		AnimationState						=	DYING SPLATTED
//			Animation						=	Splattered_On_Ground
//				AnimationName				=	MUEastern_SKL.MUEastern_LNDA
//				AnimationMode				=	ONCE
//			End
//			EnteringStateFX					=	FX_HaradrimHitGround
//		End
//
//		AnimationState						=	DYING AFLAME
//			Animation						=	Flaming_Death
//				AnimationName				=	MUEastern_SKL.MUEastern_DIEA
//				AnimationMode				=	ONCE
//			End
//			ParticleSysBone					=	BAT_HEAD FireBuildingLargeSmoke FollowBone:yes
//			ParticleSysBone					=	BAT_HEAD FireSmall FollowBone:yes
//			ParticleSysBone					=	BAT_RIBS FireBuildingLargeSmoke FollowBone:yes
//			ParticleSysBone					=	BAT_RIBS FireSmall FollowBone:yes
//		End
//		
//		AnimationState						=	DYING
//			Animation						=	Dying
//				AnimationName				=	MUEastern_SKL.MUEastern_DIEA
//				AnimationMode				=	ONCE
//			End
//		End
//		
//		AnimationState						= PARALYZED
//			Animation
//				AnimationName				= MUEastern_SKL.MUEastern_IDLA
//				AnimationMode				= LOOP
//			End
//		End
//
//		;------------------------ STUNNED ANIMATIONS ---------------------------
//
//		AnimationState						=	STUNNED_STANDING_UP
//			Animation						=	Standing_Back_Up
//				AnimationName				=	MUEastern_SKL.MUEastern_GTPA
//				AnimationMode				=	ONCE
//				AnimationSpeedFactorRange = 1.5 1.5
//			End
//		End
//
//		AnimationState						=	STUNNED
//			Animation						=	Stunned
//				AnimationName				=	MUEastern_SKL.MUEastern_LNDA
//				AnimationMode				=	ONCE
//			End
//			EnteringStateFX					=	FX_HaradrimHitGround
//		End
//		
//		;---------------------- PASSENGER ANIMATION -----------------------------
//		AnimationState					=	PASSENGER
//			Animation					=	Grabbed
//				AnimationName			=	MUEastern_SKL.MUEastern_FLLA
//				AnimationMode			=	LOOP
//			End
//		End
//				
//		;--------------------- MOVING ANIMATIONS -----------------------------------
//		
//		AnimationState = MOVING FIRING_OR_PREATTACK_A
//			Animation = TrotAndFire
//				AnimationName = MUEastern_SKL.MUEastern_ATRA
//				AnimationMode = LOOP
//			End
//			Flags = RANDOMSTART
//			;ParticleSysBone = None InfantryDustTrails
//		End
//		
//		
//		AnimationState					= MOVING CLIMBING BACKING_UP
//			Animation					= ClimbingBackwards
//				AnimationName			= MUEastern_SKL.MUEastern_CLMA
//				AnimationMode			= LOOP_BACKWARDS
//			End
//		End
//		
//		AnimationState					= MOVING CLIMBING
//			Animation					= Climbing
//				AnimationName			= MUEastern_SKL.MUEastern_CLMA
//				AnimationMode			= LOOP
//			End
//		End
//		
//		AnimationState					=	MOVING PANICKING
//			ShareAnimation				=	Yes
//			Animation					=	PANICKING
//				AnimationName			=	MUEastern_SKL.MUEastern_MFDA
//				AnimationMode			=	LOOP
//			End
//			Flags						=	RANDOMSTART
//		End
//		
//		AnimationState					=	MOVING BACKING_UP
//			ShareAnimation				=	Yes
//			Animation					=	BACKINUP
//				AnimationName			=	MUEastern_SKL.MUEastern_BAKA
//				AnimationMode			=	LOOP
//			End
//			;Flags						=	RANDOMSTART
//		End
//		
//		AnimationState					=	MOVING AFLAME
//			ShareAnimation				=	Yes
//			Animation					=	MovingOnFire
//				AnimationName			=	MUEastern_SKL.MUEastern_RUNA
//				AnimationMode			=	LOOP
//			End
//			
//			ParticleSysBone				=	BAT_HEAD FireBuildingLargeSmoke FollowBone:yes
//			ParticleSysBone				=	BAT_HEAD FireSmall FollowBone:yes
//			ParticleSysBone				=	BAT_RIBS FireBuildingLargeSmoke FollowBone:yes
//			ParticleSysBone				=	BAT_RIBS FireSmall FollowBone:yes
//		End
//		
//		AnimationState					=	MOVING EMOTION_TERROR
//			ShareAnimation				=	Yes
//			Animation					=	Moving
//				AnimationName			=	MUEastern_SKL.MUEastern_RUNA
//				AnimationMode			=	LOOP
//			End
//			ParticleSysBone				=	None InfantryDustTrails
//			;Flags						=	RANDOMSTART
//		End	
//
//		AnimationState					=	MOVING
//			ShareAnimation				=	Yes
//			Animation					=	Moving
//				AnimationName			=	MUEastern_SKL.MUEastern_RUNA
//				AnimationMode			=	LOOP
//				Distance				=   50
//			End
//			ParticleSysBone				=	None InfantryDustTrails
//			;Flags						=	RANDOMSTART
//		End	
//		
//		;---------------------- ATTACKING ANIMATIONS ---------------------------
//		AnimationState					=	FIRING_OR_PREATTACK_A
//			Animation					=	ATTACKA
//				AnimationName			=	MUEastern_SKL.MUEastern_ATKA
//				AnimationMode			=	ONCE
//			End
//		End
//
//		AnimationState						=	EMOTION_UNCONTROLLABLY_AFRAID
//			ShareAnimation					=	Yes
//			Animation						=	Cower
//				AnimationName				=	MUEastern_SKL.MUEastern_FERA
//				AnimationMode				=	LOOP
//			End
//		End		
//		
//		;---------------------- EMOTION ANIMATIONS ---------------------------
//		AnimationState						=	EMOTION_ALERT EMOTION_AFRAID
//			ShareAnimation					=	Yes
//			Animation						=	Apprehensive
//				AnimationName				=	MUEastern_SKL.MUEastern_APPA
//				AnimationMode				=	LOOP	;Change this to ONCE if adding additional anims
//			End
//			Flags							= RANDOMSTART
//		End
//			
//		AnimationState						=	EMOTION_AFRAID
//			ShareAnimation					=	Yes
//			Animation						=	Cower
//				AnimationName				=	MUEastern_SKL.MUEastern_FERA
//				AnimationMode				=	LOOP
//			End
//			Flags							= RANDOMSTART
//		End		
//		
//		AnimationState					=	BETWEEN_FIRING_SHOTS_A
//			Animation					=	between
//				AnimationName			=	MUEastern_SKL.MUEastern_IDLA
//				AnimationMode			=	LOOP
//			End
//		End
//				
//		AnimationState					=	ATTACKING
//			Animation					=	AttackingReady
//				AnimationName			=	MUEastern_SKL.MUEastern_IDLA
//				AnimationMode			=	LOOP
//			End
//		End
//				
//		AnimationState						= EMOTION_TAUNTING
//			Animation						= TNTA
//				AnimationName				= MUEastern_SKL.MUEastern_TNTA
//				AnimationMode				= ONCE
//				AnimationBlendTime			= 15
//				AnimationSpeedFactorRange	= 0.8 1.2
//			End
//			Animation						= TNTB
//				AnimationName				= MUEastern_SKL.MUEastern_TNTB
//				AnimationMode				= ONCE
//				AnimationBlendTime			= 15
//				AnimationSpeedFactorRange	= 0.8 1.2
//			End
//			Flags							= RANDOMSTART RESTART_ANIM_WHEN_COMPLETE
//		End
//		
//		AnimationState						= EMOTION_POINTING
//			Animation						= Pointing1
//				AnimationName				= MUEastern_SKL.MUEastern_PNTA
//				AnimationMode				= LOOP
//			End
//			Flags							= RANDOMSTART
//		End
//		
//		AnimationState						=	EMOTION_CELEBRATING
//			Animation						=	Celebrating
//				AnimationName				=	MUEastern_SKL.MUEastern_CHRA
//				AnimationMode				=	ONCE
//			End
//			
//			Animation						=	CelebratingB
//				AnimationName				=	MUEastern_SKL.MUEastern_CHRB
//				AnimationMode				=	ONCE
//			End
//			
//			Flags							=	RESTART_ANIM_WHEN_COMPLETE	
//		End
//		
//		AnimationState						=	EMOTION_ALERT
//			Animation						=	ALERT
//				AnimationName				=	MUEastern_SKL.MUEastern_IDLA
//				AnimationMode				=	LOOP
//			End
//			Flags							=	RANDOMSTART
//		End
//
//		AnimationState = WAR_CHANT
//			Animation = Chant
//				AnimationName = MUEastern_SKL.MUEastern_CHRB
//				AnimationMode = LOOP
//			End
//		End
//
//		;--------------------- HIT REACTIONS -----------------------------------
//		AnimationState						=	HIT_REACTION HIT_LEVEL_1
//			Animation						=	HitReaction1
//				AnimationName				=	MUEastern_SKL.MUEastern_HITA
//				AnimationMode				=	ONCE
//			End
//		End    
//
//		AnimationState						=	HIT_REACTION HIT_LEVEL_2
//			Animation						=	HitReaction2
//				AnimationName				=	MUEastern_SKL.MUEastern_HITA
//				AnimationMode				=	ONCE
//			End
//		End
//
//		AnimationState						=	HIT_REACTION HIT_LEVEL_3
//			Animation						=	HitReaction3
//				AnimationName				=	MUEastern_SKL.MUEastern_HITA
//				AnimationMode				=	ONCE
//			End
//		End
//					
//		AnimationState						=	SELECTED
//			ShareAnimation					=	Yes
//			Animation						=	AtAttention
//				AnimationName				=	MUEastern_SKL.MUEastern_ATNB
//				AnimationMode				=	LOOP
//			End
//					
//			StateName						=	Selected
//			
//			BeginScript
//				Prev =	CurDrawablePrevAnimationState()
//				if Prev == "STATE_Planted"	then CurDrawableSetTransitionAnimState("Trans_Down_To_Up") return end
//				if Prev == "Idle" then CurDrawableSetTransitionAnimState("TransitionToAttention") end
//			EndScript
//		End
//
//		;-------------------------------------- TRANSITIONS ----------------------------------------------
//	
//		TransitionState = Trans_Down_To_Up
//			Animation = Transition
//				AnimationName = MUEastern_SKL.MUEastern_PLTB
//				AnimationMode = ONCE
//			End
//		End
//	    
//		TransitionState = Trans_Up_To_Down
//			Animation = Transition
//				AnimationName = MUEastern_SKL.MUEastern_PLTA
//				AnimationMode = ONCE
//			End
//		End
//
//		TransitionState						=	TransitionToAttention
//			Animation						=	ToAttentionTransition
//				AnimationName				=	MUEastern_SKL.MUEastern_ATNA
//				AnimationMode				=	ONCE
//				AnimationSpeedFactorRange	=	1.0 1.4
//				AnimationBlendTime			=	10
//			End
//		End
//		
//		TransitionState						=	TransitionFromAttention
//			Animation						=	FromAttentionTransition
//				AnimationName				=	MUEastern_SKL.MUEastern_ATNC
//				AnimationMode				=	ONCE
//				AnimationSpeedFactorRange	=	1.0 1.4
//				AnimationBlendTime			=	10
//			End
//		End
	End
;;--@END

    #include "..\..\..\includes\StunDrawModuleSmall.inc"

	;----------------------------------- DESIGN parameters ----------------------------------------------------
	Side							=	Mordor
	EditorSorting					=	UNIT
	ThreatLevel						=	1.0
	ThingClass						=	HORDE_UNIT
	CommandPoints					=	4
	TransportSlotCount				=	TRANSPORTSLOTCOUNT_UNIT

	ArmorSet
		Conditions					=	None
		Armor						=	RhunArmor
		DamageFX					=	NormalDamageFX
	End
	ArmorSet
		Conditions					=	PLAYER_UPGRADE
		Armor						=	RhunHeavyArmor
		DamageFX					=	NormalDamageFX
	End

	WeaponSet
		Conditions					=	None 
		Weapon						=	PRIMARY MordorEasterlingPike
		AutoChooseSources			=	PRIMARY FROM_PLAYER FROM_SCRIPT FROM_AI
	End

  	VisionRange 				= 	MORDOR_SOLDIERRHUN_VISION_RANGE
  	ShroudClearingRange 			= 	SHROUD_CLEAR_STANDARD
  	
	VisionSide = 35%
	VisionRear = 25%
	
	MaxVisionBonusPercent = 300%
	VisionBonusTestRadius = 200
	VisionBonusPercentPerFoot = 2.0%

	BountyValue						=   MORDOR_SOLDIERRHUN_BOUNTY_VALUE
	DisplayName						=	OBJECT:MordorEasterling
	CrushableLevel					=	0  ;What am I?:        0 = for infantry, 1 = for trees, 2 = general vehicles
	CrusherLevel = 0 ;What can I crush?: 0 = small animals, 1 = infantry, 2 = trees, 3 = vehicles
	CrushRevengeWeapon = AntiCavalryInfantryCrushRevenge
	
	CommandSet = MordorEasterlingCommandSet

 
	; *** AUDIO Parameters ***;

	VoiceAttack								= EasterlingVoiceAttack
	VoiceAttackCharge						= EasterlingVoiceAttackCharge
	VoiceAttackMachine						= EasterlingVoiceAttack
	VoiceAttackStructure					= EasterlingVoiceAttackBuilding
	VoiceCreated							= EVA:EasterlingCreated
	VoiceFullyCreated						= EVA:EasterlingCreated
	VoiceGuard								= EasterlingVoiceMove
	VoiceMove								= EasterlingVoiceMove
	VoiceMoveToCamp							= EasterlingVoiceMoveCamp
	VoiceMoveWhileAttacking					= EasterlingVoiceDisengage
	VoicePriority							= 52
	VoiceRetreatToCastle					= EasterlingVoiceRetreat
	VoiceSelect								= EasterlingVoiceSelectMS
	VoiceSelectBattle 						= EasterlingVoiceSelectBattle

	VoiceEnterStateAttack					= EasterlingVoiceEnterStateAttack
	VoiceEnterStateAttackCharge				= EasterlingVoiceEnterStateAttackCharge
	VoiceEnterStateAttackMachine			= EasterlingVoiceEnterStateAttack
	VoiceEnterStateAttackStructure			= EasterlingVoiceEnterStateAttackBuilding
	VoiceEnterStateMove						= EasterlingVoiceEnterStateMove
	VoiceEnterStateMoveToCamp				= EasterlingVoiceEnterStateMoveCamp
	VoiceEnterStateMoveWhileAttacking		= EasterlingVoiceEnterStateDisengage
	VoiceEnterStateRetreatToCastle			= EasterlingVoiceEnterStateRetreat

	SoundImpact								= ImpactHorse

	UnitSpecificSounds
		VoiceEnterUnitEvilMenTransportShip	= EasterlingVoiceMoveShip
		VoiceEnterUnitMordorMumakil			= EasterlingVoiceMoveGarrison
		VoiceEnterUnitSlaughterHouse		= EasterlingVoiceMoveGarrison
		VoiceGarrison						= EasterlingVoiceMoveGarrison
		VoiceInitiateCaptureBuilding		= EasterlingVoiceCaptureBuilding
	End

	CrowdResponseKey = EvilMen1

	ClientBehavior = ModelConditionAudioLoopClientBehavior ModuleTag_foo
		ModelCondition = Required:EMOTION_CELEBRATING	Excluded:DYING ENGAGED	Sound:EmotionEasterlingVoxCheerLoop	;MOVING ATTACKING 
		ModelCondition = Required:EMOTION_TAUNTING		Excluded:DYING ENGAGED	Sound:EmotionEasterlingVoxTauntLoop	;MOVING ATTACKING
		;pointing in LGAS
		;ModelCondition = Required:EMOTION_POINTING		Excluded:DYING ENGAGED	Sound:EmotionEasterlingVoxTauntLoop
		ModelCondition = Required:RAISING_FLAG			Excluded:DYING ENGAGED	Sound:EmotionEasterlingVoxTauntLoop
	End

    #include "..\..\..\includes\StandardUnitEvaEvents.inc"
	;EvaEventDieOwner			= GroupSoldiersOfRhunDie	;Eva event to trigger on unit's death. NOTICE THAT this is only for permanent deaths
										;For deaths you can respawn from, use the DeathFX

	Behavior = LargeGroupAudioUpdate ModuleTag_LGAU		; Tie into LargeGroupAudio system
		Key	= Humanoid_Male Man Man_Male Easterling_Infantry
	End

	ClientBehavior = AnimationSoundClientBehavior ModuleTag_AnimAudioBehavior
	      MaxUpdateRangeCap = 800
			AnimationSound = Sound:BodyFallSoldier 		Animation:MUEastern_SKL.MUEastern_LNDA 	Frames:2
			AnimationSound = Sound:BodyFallGeneric1 		Animation:MUEastern_SKL.MUEastern_DIEA 	Frames:52
	End


	;----------------------------------- ENGINEERING parameters ----------------------------------------------------
	RadarPriority				=	UNIT
	KindOf					=	PRELOAD SELECTABLE CAN_CAST_REFLECTIONS INFANTRY PATH_THROUGH_EACH_OTHER CAN_USE_SIEGE_TOWER SCORE GRAB_AND_DROP

	Body					=	PorcupineFormationBodyModule ModuleTag_porcupineFormation
		CheerRadius 			= 	EMOTION_CHEER_RADIUS	
		MaxHealth			=	MORDOR_SOLDIERRHUN_HEALTH
		MaxHealthDamaged		=	MORDOR_SOLDIERRHUN_HEALTH_DAMAGED
		;RecoveryTime			=	MORDOR_SOLDIERRHUN_HEALTH_RECOVERY_TIME
		DamageWeaponTemplate		=	EasterlingPorcupineDamage
		CrushDamageWeaponTemplate	=	EasterlingPorcupineCrushDamage
		CrusherLevelResisted		=	1;	;What crusher level can I resist?: 1 = infantry, 2 = trees, 3 = vehicles
		BurningDeathBehavior		=	Yes
		BurningDeathFX				=	FX_InfantryBurningFlame
	End
 
	Behavior						=	AIUpdateInterface ModuleTag_03
		AutoAcquireEnemiesWhenIdle	=	Yes ATTACK_BUILDINGS
		CanAttackWhileContained		=	Yes
		HoldGroundCloseRangeDistance=	80
		AILuaEventsList			   = IsengardFighterFunctions
		AttackPriority			= 	AttackPriority_Spearman
		BurningDeathTime		=	BURNINGDEATH_DURATION_INFANTRY
	End

	LocomotorSet
		Locomotor			=	HumanLocomotor
		Condition			=	SET_NORMAL 
		Speed				=	NORMAL_MORDOR_INFANTRY_MEMBER_SPEED
	End

	LocomotorSet
		Locomotor = BurningDeathLocomotorInfantry
		Condition = SET_BURNINGDEATH
		Speed	  = BURNINGDEATH_WANDERSPEED_INFANTRY
	End

	Behavior				=	PhysicsBehavior ModuleTag_04
		GravityMult			=	1.0
		ShockStandingTime		=	1333	;msec
	End
 
	Behavior				=	SlowDeathBehavior ModuleTag_05
		DeathTypes			=	ALL
		SinkDelay			=	3000
		SinkRate			=	1.20     ; in Dist/Sec
		DestructionDelay		=	10000
		Sound				=	INITIAL ManEvilGenericVoiceDie
	End
	
	Behavior = BezierProjectileBehavior ModuleTag_08 ;// Module starts asleep, and wakes up when thrown.
	;// To tweak a Bezier path
		FirstHeight					= 24  ;// Height of Bezier control points above highest intervening terrain
		SecondHeight				= 24
		FirstPercentIndent			= 30% ;// Percentage of shot distance control points are placed
		SecondPercentIndent			= 70%
		TumbleRandomly				= Yes

		CrushStyle					= Yes ;// I don't detonate, I just hit
		DieOnImpact					= Yes
		BounceCount					= 1   ;// When I hit the ground, I'll arc again
		BounceDistance				= 40  ;// this far
		BounceFirstHeight			= 24  ;// Height of Bezier control points above highest intervening terrain
		BounceSecondHeight			= 24
		BounceFirstPercentIndent	= 20% ;// Percentage of shot distance control points are placed
		BounceSecondPercentIndent	= 80%

		GroundHitFX       = FX_ThrownRockGroundHit
		GroundBounceFX    = FX_ThrownRockBounceHit
	End
 
 ; 	Behavior						=	HitReactionBehavior HitReactionBehaviorModuleTag
;		HitReactionLifeTimer1		=	1000 ; level 1
;		HitReactionLifeTimer2		=	1000 ; level 2
;		HitReactionLifeTimer3		=	1000 ; level 3

;		HitReactionThreshold1		=	0.0   ; level 1 (light  damage) threshold trigger
;		HitReactionThreshold2		=	25.0  ; level 2 (medium damage) threshold trigger
;		HitReactionThreshold3		=	50.0  ; level 3 (heavy  damage) threshold trigger
;	End	
	
	Behavior						=	SquishCollide ModuleTag_06
		;nothing
	End
	 
	Behavior						=	HordeMemberCollide ModuleTag_HMC
		;nothing
	End

  	;Heavy Armor
	Behavior = ArmorUpgrade ArmorUpgradeModuleTag
		TriggeredBy = Upgrade_MordorHeavyArmor
		ArmorSetFlag			= PLAYER_UPGRADE
	End

	Behavior = SubObjectsUpgrade Armor_Upgrade
		TriggeredBy		= Upgrade_MordorHeavyArmor
		UpgradeTexture	= MUEastern.tga 0 MUEastern_HA.tga
		RecolorHouse			= Yes
		ExcludeSubobjects		= Forged_Blade
	End
		
	Behavior = SubObjectsUpgrade ForgedBlades_Upgrade
		TriggeredBy		= Upgrade_MordorForgedBlades
		ShowSubObjects	= Forged_Blade
	End
	
	Behavior = StatusBitsUpgrade ForgedBlades_UpgradeDetection
		TriggeredBy		= Upgrade_MordorForgedBlades
	End
		
	 
	Geometry						=	CYLINDER
	GeometryMajorRadius				=	8.0
	GeometryMinorRadius				=	8.0
	GeometryHeight					=	19.2
	GeometryIsSmall					=	Yes

    Shadow							=	SHADOW_DECAL
    ShadowSizeX						=	21;
    ShadowSizeY						=	21;
    ShadowTexture					=	ShadowI;
End

